/***************************************************************************
*
* Copyright (c) 1989 -- 2006
* by Helsinki University of Technology, Digital Systems Laboratory,
* a.k.a. Laboratory for Theoretical Computer Science.
* All rights reserved.
*
* This software is provided "as is" without express or implied warranty.
*
* Module:  gen.h
*
* Part of: PROD's program prpp
*
* Authors: Marko Rauhamaa and Kimmo Varpaaniemi
*
* Current version:
*     $Id$
*
* Description:
*     See gen.tpl.
*
* Version history:
*     $Log$
***************************************************************************/

#include "absolute.h"
#include "prod.h"
#include "alloc.h"
#include "dynam.h"
#include "mark.h"
#include "expr.h"
#include "net.h"
#include "token.h"
#include "prpexpr.h"
#include "util.h"

#define f _xx0
extern FILE *f;
#define fileCount _xx1
extern unsigned long fileCount;
#define net _xx2
extern NET *net;
#define transition _xx3
extern TRANSITION *transition;
#define t _xx4
extern unsigned t;
#define place _xx5
extern PLACE *place;
#define p _xx6
extern unsigned p;
#define arc _xx7
#define arc2 _xx8
extern ARC *arc, *arc2;
#define a _xx9
#define a2 _xx10
extern unsigned a, a2;
#define ca _xx11
#define ca2 _xx12
extern unsigned ca, ca2;
#define symmultup _xx13
#define syt2 _xx14
extern SYMMULTUP *symmultup, *syt2;
#define s _xx15
#define s2 _xx16
extern unsigned s, s2;
#define cs _xx17
#define cs2 _xx18
extern unsigned cs, cs2;
#define ls _xx19
#define ls2 _xx20
extern char *ls, *ls2;
#define variable _xx21
#define var2 _xx22
extern VARIABLE *variable, *var2;
#define x _xx23
#define y _xx24
extern DOMAIN x, y;
#define low _xx25
#define high _xx26
#define xlow _xx27
#define xhigh _xx28
#define ylow _xx29
#define yhigh _xx30
extern TUPLE *low, *high, *xlow, *xhigh, *ylow, *yhigh;
#define i _xx31
#define j _xx32
#define iVarCount _xx33
#define dimension _xx34
#define maxDim _xx35
extern unsigned i, j, iVarCount, dimension, maxDim;
#define symbol _xx36
#define sym2 _xx37
#define cffSym _xx38
#define csm2 _xx39
#define gate _xx40
extern SYMBOL *symbol, *sym2, *cffSym, *csm2, *gate;
#define str _xx41
extern char *str;
#define acursor _xx42
#define scursor _xx43
extern VOID *acursor, *scursor;
#define precedence _xx44
#define priority _xx45
extern PRECEDENCE *precedence, *priority;
#define cffOrdVariables _xx46
extern LIST *cffOrdVariables;
#define cffOrdInputs _xx47
extern LIST *cffOrdInputs;
#define cffOrdSymsum _xx48
extern LIST *cffOrdSymsum;
#define found _xx49
#define pre _xx50
#define pors _xx51
#define outa _xx52
#define comp _xx53
#define cvars _xx54
#define priNonTriv _xx55
extern BOOL found, pre, post, outa, comp, cvars, priNonTriv;
#define thisDepth _xx56
#define maxDepth _xx57
extern unsigned thisDepth, maxDepth;
#define atom _xx58
extern FORMULA *atom;
#define mask _xx59
extern unsigned long mask;
#define letVarCount _xx60
extern unsigned letVarCount;

DE1(void, ADLimits,
    BOOL, priOpt)
DE1(void, WhatInitial,
    LIST *, checkArcs)
DE2(void, WhatNew,
    LIST *, checkArcs,
    BOOL, arcContext)
DE0(void, ARoutine)
DE0(void, DRoutine)
DE0(void, ERoutine)
DE0(void, IRoutine)
DE0(void, FRoutine)
DE0(void, DefsDecls)
DE0(void, ActualDecls)
DE0(void, GenFollowers)
DE0(void, GenAux)
